﻿using Electric.Domain.Entities.Identity;

using Microsoft.AspNetCore.Identity;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Electric.Domain.Manager.Identity
{
    public class UserManager : UserManager<EleUser>, IDomainService
    {
        private UserStore _userStore;

        public UserManager(UserStore store,
            IOptions<IdentityOptions> optionsAccessor,
            IPasswordHasher<EleUser> passwordHasher,
            IEnumerable<IUserValidator<EleUser>> userValidators,
            IEnumerable<IPasswordValidator<EleUser>> passwordValidators,
            ILookupNormalizer keyNormalizer,
            IdentityErrorDescriber errors,
            IServiceProvider services,
            ILogger<UserManager<EleUser>> logger
            ) :
            base(store, optionsAccessor, passwordHasher, userValidators, passwordValidators, keyNormalizer, errors, services, logger)
        {
            _userStore = store;
        }
    }
}